Bug 251803 - wine: bash: /usr/bin/wine: Permission denied
wine: bash: /usr/bin/wine: Permission denied
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On: 281741
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 09:51 EDT by han pingtian
Modified: 2007-12-20 18:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 18:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description han pingtian 2007-08-11 09:51:19 EDT
Description of problem:
Cannot to run wine in f8test1. The file seems no problem:
$ ls -l `which wine`
-rwxr-xr-x 1 root root 5288 2007-07-28 16:52 /usr/bin/wine
$

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jimmy Rentz 2007-08-16 09:08:15 EDT
I see this error also, and I noticed the following in the audit.log:

type=SELINUX_ERR msg=audit(1187269155.965:48): security_compute_sid:  invalid
context system_u:system_r:wine_t:s0 for
scontext=system_u:system_r:unconfined_t:s0
tcontext=system_u:object_r:wine_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1187269155.965:48): arch=c000003e syscall=59 success=no
exit=-13 a0=6e61e0 a1=6e6280 a2=6de270 a3=0 items=0 ppid=2580 pid=2613 auid=500
uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts1
comm="bash" exe="/bin/bash" subj=system_u:system_r:unconfined_t:s0 key=(null)
Comment 2 Andreas Bierfert 2007-08-18 04:05:12 EDT
You both are probably running selinux enabled systems which at the moment is not
supported with wine. Please try again with a selinux disabled system.
Comment 3 Jimmy Rentz 2007-08-18 18:17:53 EDT
(In reply to comment #2)
> You both are probably running selinux enabled systems which at the moment is not
> supported with wine. Please try again with a selinux disabled system.
I am using selinux.  Using setenforce 0 makes it work fine.
Comment 4 Daniel Walsh 2007-09-07 09:08:04 EDT
Fixed in selinux-policy-3.0.7-6.fc8.src.rpm

Please CC me on any SELinux problems.

All Fedora apps should work with SELinux in enforcing mode.  
Comment 5 Andreas Bierfert 2007-12-20 18:51:13 EST
Guess this can be closed.

Note You need to log in before you can comment on or make changes to this bug.